com.sleepycat.db

## Interface MessageHandler

    public interface MessageHandler

An interface specifying a callback function to be called to display informational messages.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `message(Environment environment, java.lang.String msgpfx, java.lang.String message)` A callback function to be called to display informational messages.

### Method Detail

#### message

    void message(Environment environment,
                 java.lang.String msgpfx,
                 java.lang.String message)

A callback function to be called to display informational messages.

There are interfaces in the Berkeley DB library which either directly output informational messages or statistical information, or configure the library to output such messages when performing other operations, `EnvironmentConfig.setVerboseDeadlock` for example.

The `EnvironmentConfig.setMessageHandler` and `DatabaseConfig.setMessageHandler` methods are used to display these messages for the application.

Parameters:
  `environment` - The enclosing database environment handle.

  `msgpfx` - The prefix string, as previously configured by `EnvironmentConfig.setMessagePrefix` or `DatabaseConfig.setMessagePrefix`.

  `message` - An informational message string.